%define patch_name	kernel-fix-drivers-net

Name: %patch_name
Version: 2006.10.24
Release: alt1

Summary: %patch_name - Linux kernel NIC drivers fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Conflicts: kernel-fix-security-owl < 2004.06.20-alt1

# Patches for 2.4.x
%source  3	2.4_03_comx-driver-compile-1.patch			2.4
%source  4	2.4_04_module_license.patch				2.4
%source  5	2.4_05_nsc-ircc-noprobe.patch				2.4
%source  6	2.4_06_sis900-memory-shortage.patch			2.4
%source  7	2.4_07_airo_cs-prototypes.patch				2.4

# Patches for 2.6.x
%source 2606	2.6_06_pcmcia_spectrum-kconfig.patch			2.6
%source 2607	2.6_07_ipw2200-array-overrun.patch			2.6
%source 2608	2.6_08_airo_cs-kconfig.patch				2.6
%source 2609	2.6_09_hostap-fix-eapol-crypt.patch			2.6
%source 2610	2.6_10_sky2-bad-memory-ref.patch			2.6
%source 2611	2.6_11_alt-mppe-reject-bad-options.patch		2.6
%source 2612	2.6_12_e1000-update-2.6.17.patch			2.6
%source 2613	2.6_13_via-rhine-zero-pad.patch				2.6
%source 2614	2.6_14_tg3-ethtool-port-type.patch			2.6
%source 2615	2.6_15_b44-init-before-up.patch				2.6
%source 2616	2.6_16_b44-ensure-valid-mac-addr.patch			2.6
%source 2617	2.6_17_b44-disable-default-tx-pause.patch		2.6
%source 2618	2.6_18_b44-check-for-dma-mapping-error.patch		2.6
%source 2619	2.6_19_winbond-840-pci_map_single-badness.patch		2.6
%source 2620	2.6_20_via-velocity-link-detect.patch			2.6
%source 2621	2.6_21_via-velocity-ethtool.patch			2.6
%source 2622	2.6_22-sky2-dev_alloc_skb.patch				2.6
%source 2623	2.6_23_sky2-fix-fiber-support.patch			2.6
%source 2624	2.6_24_pppoe-advertise-mtu.patch			2.6

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux kernel NIC drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Tue Oct 24 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.10.24-alt1
- Added patches for 2.6.16:
  + 2.6_19_winbond-840-pci_map_single-badness.patch: winbond-840: fix bad calls
    to pci_map_single (#10177)
  + 2.6_20_via-velocity-link-detect.patch: via-velocity: fix link detection
  + 2.6_21_via-velocity-ethtool.patch: via-velocity: fix speed and link status
    reported by ethtool
  + 2.6_22-sky2-dev_alloc_skb.patch: sky2: use dev_alloc_skb for receive
    buffers
  + 2.6_23_sky2-fix-fiber-support.patch: sky2: fix fiber support
  + 2.6_24_pppoe-advertise-mtu.patch: pppoe: advertise correct MTU for PPP
    channel

* Sun Oct 08 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.10.08-alt1
- Added patches for 2.6.16:
  + 2.6_12_e1000-update-2.6.17.patch: update e1000 driver to the linux-2.6.17
    state (#10053, adds 631xESB/632xESB (ESB2) support)
- Removed:
  - 2.6_12_e1000-update-truesize.patch (already in e1000-update-2.6.17)

* Fri Jun 16 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.06.16-alt1
- Added patches for 2.6.16:
  + 2.6_15_b44-init-before-up.patch: b44: initialize the chip earlier, so that
    changing the MAC address before the interface is up will work (bug #9672)
  + 2.6_16_b44-ensure-valid-mac-addr.patch: b44: check that the MAC address
    from EEPROM or user input is valid
  + 2.6_17_b44-disable-default-tx-pause.patch: b44: disable tx pause frame
    support by default due to hardware bug
  + 2.6_18_b44-check-for-dma-mapping-error.patch: b44: x86_64: check for bad
    dma address in 1GB DMA workaround

* Fri May 19 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.05.19-alt1
- Added patches for 2.6.16:
  + 2.6_13_via-rhine-zero-pad.patch: via-rhine: zero pad short packets on
    Rhine I ethernet cards
  + 2.6_14_tg3-ethtool-port-type.patch: tg3: fix ethtool always reporting port
    is TP
- Removed obsolete patches for kernel 2.6.14:
  - 2.6_00_airo-correct-prototypes.patch
  - 2.6_01_prism54_frame_size.patch
  - 2.6_02_eicon-signature.patch
  - 2.6_03_hdlc-disable-netif_carrier_off.patch
  - 2.6_04_infiniband-use-after-free.patch
  - 2.6_05_sungem-__devexit.patch

* Sat Apr 29 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.29-alt1
- Added patches for 2.6.16:
  + 2.6_12_e1000-update-truesize.patch: e1000: update truesize with the length
    of the packet for packet split

* Wed Apr 12 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.12-alt1
- Added patches for 2.6.16:
  + 2.6_06_pcmcia_spectrum-kconfig.patch: PCMCIA_SPECTRUM must select FW_LOADER
  + 2.6_07_ipw2200-array-overrun.patch: ipw2200: fix an array overrun
  + 2.6_08_airo_cs-kconfig.patch: AIRO and AIRO_CS must select CRYPTO
  + 2.6_09_hostap-fix-eapol-crypt.patch: hostap: fix EAPOL frame encryption
  + 2.6_10_sky2-bad-memory-ref.patch: sky2: fix oops on dual port cards
  + 2.6_11_alt-mppe-reject-bad-options.patch: PPP MPPE: do not accept
    unsupported MPPE options

* Sat Mar 11 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.03.11-alt1
- Updated for kernel 2.6.16.
- Marked old patches to be applied only to kernel 2.6.14:
  - 2.6_00_airo-correct-prototypes.patch
  - 2.6_01_prism54_frame_size.patch
  - 2.6_02_eicon-signature.patch
  - 2.6_03_hdlc-disable-netif_carrier_off.patch
  - 2.6_04_infiniband-use-after-free.patch
  - 2.6_05_sungem-__devexit.patch

* Sat Jan 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.01.07-alt1
- Added patches for 2.6.14:
  + 2.6_05_sungem-__devexit.patch: sungem: gem_remove_one mustn't be __devexit

* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.12.25-alt1
- Updated for kernel 2.4.32.
- Added:
  + 2.4_06_sis900-memory-shortage.patch: sis900: come alive after temporary
    memory shortage
  + 2.4_07_airo_cs-prototypes.patch: airo_cs: fix wrong prototypes

* Wed Nov 30 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.11.30-alt1
- Updated for kernel 2.6.14.
- Removed obsolete patches:
  - 2.6_00_e1000-spinlock.patch
  - 2.6_01_shaper-driver-lock-fix.patch
- Added:
  + 2.6_00_airo-correct-prototypes.patch: airo.c/airo_cs.c: correct prototypes
  + 2.6_01_prism54_frame_size.patch: prism54: fix frame length setting bug
    which might result in information leak
  + 2.6_02_eicon-signature.patch: drivers/isdn/hardware/eicon/os_4bri.c:
    correct the xdiLoadFile() signature
  + 2.6_03_hdlc-disable-netif_carrier_off.patch: generic HDLC WAN drivers:
    disable netif_carrier_off()
  + 2.6_04_infiniband-use-after-free.patch: infiniband: fix a use-after-free

* Mon Jul 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1
- Added:
  + 2.6_01_shaper-driver-lock-fix.patch: fix locking in the shaper driver

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_00_r8169-rx-desc-len.patch
  - 2.6_01_sis900-oops-fix.patch
  - 2.6_02_via-rhine-shutdown-oops-fix.patch
  - 2.6_03_amd8111e-free_irq.patch
  - 2.6_04_tun-underflow-fix.patch
  - 2.6_05_via-rhine-free_irq.patch
  - 2.6_06_hd6457x-rx-panic.patch
  - 2.6_07_irda-usb-badness-and-sysfs.patch
  - 2.6_08_3c59x-d3-fix.patch
- Added:
  + 2.6_00_e1000-spinlock.patch: e1000: fix spinlock bug

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Added patches for 2.6:
  + 2.6_08_3c59x-d3-fix.patch: 3c59x: only put the device into D3 when we're
    actually using WOL (some devices have trouble with D3 on warm boot)

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Added patches for 2.6:
  + 2.6_07_irda-usb-badness-and-sysfs.patch: irda-usb: fix "badness" messages
    due to incomplete usb_unlink_urb->usb_kill urb conversion; fix sysfs
    support

* Tue Mar 29 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.29-alt1
- Added patches for 2.6:
  + 2.6_03_amd8111e-free_irq.patch: fix missing free_irq in error path
  + 2.6_04_tun-underflow-fix.patch: fix check for underflow
  + 2.6_05_via-rhine-free_irq.patch: fix missing free_irq in error path
  + 2.6_06_hd6457x-rx-panic.patch: fix kernel panic on receive with HD6457x

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Added:
  + 2.6_00_r8169-rx-desc-len.patch: fix receive descriptor length setting in
    r8169
  + 2.6_01_sis900-oops-fix.patch: fix sis900 oops with preempt/SMP
  + 2.6_02_via-rhine-shutdown-oops-fix.patch: fix via-rhine oops on shutdown
    with old chips without WOL support

* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.29-alt1
- Updated for kernel 2.6.10.
- Removed obsolete patches:
  - 2.6_50_ppp-connections-async-fix.patch
  - 2.6_51_ppp-connections-synctty-fix.patch

* Fri Oct 29 2004 Anton Farygin <rider@altlinux.ru> 2004.10.29-alt1
- Added patches for 2.6.9:
    - 2.6_50_ppp-connections-async-fix.patch : terminate connection on hangup
    - 2.6_51_ppp-connections-synctty-fix.patch : terminate connection on hangup

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 2.4_12_orinoco_pci-id.patch
   - 2.4_13_via-rhine-mii-fix.patch
   - 2.4_14_e1000-ethtool_gregs-fix.patch
- Added:
   + 2.4_05_nsc-ircc-noprobe.patch: add "noprobe" parameter to nsc-ircc to
     force loading when autodetection does not work (Bug #4770)

* Mon Aug 16 2004 Anton Farygin <rider@altlinux.ru> 2004.08.16-alt1
- Removed obsolete patches:
  - 2.6_50_eql-check-null.patch
  - 2.6_51_airo-proc-fix.patch

* Wed Jun 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.23-alt1
- Renamed patches with 2.4_/2.6_ prefixes.
- Added:
  + 2.6_50_eql-check-null.patch: add NULL checks to the eql driver
  + 2.6_51_airo-proc-fix.patch: fix airo /proc write breakage
* Sun Jun 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt1
- Apply 14_e1000-ethtool_gregs-fix.patch only when kernel-fix-security-owl is
  not applied.

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 13_8139too-new-ids.patch
  - 14_ne2k-pci-new-ids.patch
  - 15_tulip-21041-media.patch
- Added:
  + 13_via-rhine-mii-fix.patch: fix MII phy scanning bug
  + 14_e1000-ethtool_gregs-fix.patch: fix ETHTOOL_GREGS handling in e1000

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 13_8139too-new-ids.patch: more RTL-8139 clone boards
  + 14_ne2k-pci-new-ids.patch: more ne2k-pci clone boards
  + 15_tulip-21041-media.patch: fix up 21041 media selection

* Sat Feb 28 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.28-alt1
- Updated for 2.4.25.
- Removed patches:
  - 02_3c59x.upgrade.patch (seems to cause problems with some old cards)
- Updated patches:
  - 03_comx-driver-compile-1
  - 04_module_license.patch
- Removed obsolete patches (merged upstream):
  - 05_sis900-pci_find_device-fix.patch
  - 06_pppoe-oops.patch
  - 07_b44-update.patch
  - 08_sis900-dev_kfree_skb_irq.patch
  - 09_tulip-mcast-fix.patch
  - 10_pppoe-skb-leak.patch
  - 11_pcnet_cs-update.patch
  - 13_tulip_3CSOHO100B-TX.patch
  - 14_tulip-pci-id.patch

* Mon Feb 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.02-alt1
- Added:
  + 13_tulip_3CSOHO100B-TX.patch: tulip: add 3com 3CSOHO100B-TX PCI ID
  + 14_tulip-pci-id.patch: tulip: add another PCI ID

* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.16-alt1
- Added:
  + 12_orinoco_pci-id.patch: add Prism 3 ID to orinoco_pci.

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 10_pppoe-skb-leak.patch: Do not leak SKB if sock_queue_rcv_skb()
    fails.
  + 11_pcnet_cs-update.patch: fixed duplex selection for DL10019 cards
    in pcnet_cs driver.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.18-alt1
- Added:
  + 09_tulip-mcast-fix.patch - fix multicast list handling for tulip.

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Added:
  + 05_sis900-pci_find_device-fix.patch
  + 06_pppoe-oops.patch
  + 07_b44-update.patch
  + 08_sis900-dev_kfree_skb_irq.patch

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 04_module_license.patch: add missing MODULE_LICENSE

* Tue Sep 02 2003 Rider <rider@altlinux.ru> 2003.09.02-alt1
- removed 01_2.4.21-rc8-netdrvr1.patch

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt4
- spec typos fixed

* Sat Jun 28 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt3
- spec improvements: using %%source and %%install_patches macroses
- 3c59x update added

* Mon Jun 23 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt2
- comx driver compilation fix added

* Tue Jun 17 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt1
- Initial release

